Name:           perl-Time-Piece-MySQL
Version:        0.05
Release:        3%{?dist}
Summary:        MySQL-specific methods for Time::Piece

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Time-Piece-MySQL/
Source0:        http://search.cpan.org/CPAN/authors/id/K/KA/KASEI/Time-Piece-MySQL-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Time::Piece) >= 1.03
BuildRequires:  perl(Test::More) >= 0.47
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:  perl(Time::Piece) >= 1.03

%description
The Time::Piece::MySQL module can be used instead of, or in addition to,
Time::Piece to add MySQL-specific date-time methods to Time::Piece objects.


%prep
%setup -q -n Time-Piece-MySQL-%{version}
perldoc -t perlartistic > Artistic
perldoc -t perlgpl > COPYING


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Artistic COPYING Changes README
%{perl_vendorlib}/Time/
%{_mandir}/man3/*.3*


%changelog
* Thu Sep 14 2006 Chris Grau <chris@chrisgrau.com> 0.05-3
- Rebuild for FC-6.

* Wed Aug 24 2005 Chris Grau <chris@chrisgrau.com> 0.05-2
- Removed redundant perl BR.
- Added license texts.
- Fixed directory ownership (perl-Time-Piece doesn't really own those dirs).

* Tue Aug 23 2005 Chris Grau <chris@chrisgrau.com> 0.05-1
- Initial build.
